Problema di installazione di RMagick

12

Non riesco a installare RMagick a causa del seguente problema di dipendenza dopo aver provato sudo apt-get install libmagick9-dev ( richiesto in base a questo ) su Ubuntu 10.0.4:

Note, selecting libmagickwand-dev instead of libmagick9-dev Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation:

The following packages have unmet dependencies:
    libmagickwand-dev:
        Depends: libmagickwand2 (= 7:6.5.7.8-1ubuntu1.1) but it is not going to be installed
        Depends: libmagickcore2-extra (= 7:6.5.7.8-1ubuntu1.1) but it is not going to be installed
        Depends: libmagickcore-dev (= 7:6.5.7.8-1ubuntu1.1) but it is not going to be installed

Provando ad apt-get install libmagickwand2, ottengo questo:

> The following packages have unmet dependencies:   libmagickwand2:
> Depends: libice6 (>= 1:1.0.0) but it is not installable
>                   Depends: libjpeg62 but it is not installable
>                   Depends: libmagickcore2 (>= 7:6.5.7.8) but it is not going to be installed
>                   Depends: libsm6 but it is not installable
>                   Depends: libtiff4 but it is not going to be installed
>                   Depends: libxt6 but it is not installable
    
posta mahemoff 13.03.2012 - 11:38
fonte

3 risposte

17

Funziona:

sudo apt-get install imagemagick libmagickcore-dev libmagickwand-dev

secondo il commento di dalibor-filus di seguito.

[ Risposta originale - Ok, sembra che abbia risolto questo problema con apt-get install imagemagick libmagickwand-dev , quindi libmagick9-dev non era necessario. ]

    
risposta data mahemoff 13.03.2012 - 11:53
fonte
0

Ho avuto questo problema su Ubuntu 11.10 e la soluzione di @ mahemoff non ha funzionato per me. Alla fine ho disinstallato tutto quello che avevo a che fare con ImageMagick, e poi ho compilato l'ultima versione di ImageMagick dal sorgente, e quindi rmagick è stato installato correttamente.

    
risposta data jackocnr 19.11.2012 - 13:59
fonte
0

Prova questo per OSX: link

Questo ha funzionato molto bene per me, dove apt-get e brew hanno fallito

    
risposta data Jarrett Streebin 24.02.2013 - 21:57
fonte

Leggi altre domande sui tag